
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>从XML到Java代码的数据绑定之四 从无用的字符到有用的代码段 / iVAN</title>

    <meta name="description" content="从XML到Java代码的数据绑定之四 从无用的字符到有用的代码段 在本系列的上一部分中,我演示了如何取出 XML 文档并将它转换成 Java 表示.这种变换的关键是 XML 文档符合的 XML 模式.模式不仅确保了强制约束.它还允许使用 SchemaMapper 来生成 Java 类:那么 XML 文档就可以解包成那些类其中一个的实例.换句话说,这个系统不仅需要 XML 文档:文档将变成其实例的 Java 类不仅必须已经存在,而且它还必须在系统的类路径中. 打包类 打包 Java 实例时,情况稍有不同.首先,Unmarshaller 类不存储关于在所创建的 J">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">从XML到Java代码的数据绑定之四 从无用的字符到有用的代码段</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在本系列的上一部分中，我演示了如何取出 XML 文档并将它转换成 Java 表示。这种变换的关键是 XML 文档符合的 XML 模式。模式不仅确保了强制约束。它还允许使用 SchemaMapper 来生成 Java 类；那么 XML 文档就可以解包成那些类其中一个的实例。换句话说，这个系统不仅需要 XML 文档；文档将变成其实例的 Java 类不仅必须已经存在，而且它还必须在系统的类路径中。</p>
<p>打包类</p>
<p>打包 Java 实例时，情况稍有不同。首先，Unmarshaller 类不存储关于在所创建的 Java 实例中使用的 XML 模式的信息。因此，从 XML 文档创建的 Java 类的实例与任何其它 Java 类没有本质区别。最初，这似乎是一个问题。Java 类将实例转回 XML 是否必须采取更多的操作？答案是“是”。然而，这却是好事：从 XML 解包的类完全独立于该 XML 文档。这有以下几个优点：</p>
<p>Java 实例可以解包成不同的 XML 文档。</p>
<p>打包代码不依赖于查找 XML 模式或 XML 文档。</p>
<p>对这个 Java 实例使用反射和其它 Java 方法不会产生意外的字段或方法。</p>
<p>前两点可能是显而易见的，而第三点也许不是。Java 应用程序中正越来越广泛地使用反射，以在运行时处理各种不同类型的对象。通常会检查字段和方法以确定如何使用对象。如果要创建附加方法（如 toXML()）或附加字段（如 xmlSchema），类会将这些方法返回到检查它的应用程序。最终结果是其它应用程序代码可能会错误地使用特别用于打包和解包数据的信息。在数据绑定的环境之外，很可能会误用这些方法和字段（或变量）。它们甚至会给出不该披露的网络资源（如 XML 模式）的应用程序信息。</p>
<p>正是由于这些原因，有必要承认将 Java 打包成 XML 比使用原来的 XML 模式进行打包略有难度。但是，因为有了这个难度，生成的 Java 实例才独立于 XML 文档或模式。如果所有这些令您感到困惑，请按以下方式考虑这个问题：可以将已解包的 Java 对象和已打包的 XML 文档返回给其它应用开发者，且不必给出任何特定的用法指令。实际上，他们甚至不知道数据原来是 XML 还是 Java；他们所看到的数据格式只是您提供的格式。</p>
<p>这是一条要记住的重要原则 -- 隔离数据检索方法。那就更容易遵守使数据尽可能保持专用的基本指南。例如，关于如何从 XML 文档中获取数据的信息并不适合分发给其它应用开发者，特别是他们在不同的公司（如在商家对商家应用程序中）。</p>
<p>深入研究</p>
<p>我已经讲述了一些预备概念，现在该研究代码了。首先，需要添加一个入口点，以便将 Java 对象打包成 XML 文档。如同 Unmarshaller 类，其它程序最容易从静态方法中使用打包代码。如果没有选项需要传入 Java 对象，就象这里讨论的情况，这种方式很有效。同时，遵守好的编程惯例、仅内部使用这个静态方法构造对象，以及调用非静态方法也很重要。这个静态方法是打包 Java 对象的“前门”。除了取出对象进行打包，静态方法还应该可以输出 XML 文档。</p>
<p>这里，需要避免一个常见错误，即允许将 XML 文档输出成 String 或 File。这两种输出方法假设将对象打包成某些永久存储，并保存在物理硬盘上。尽管，对象经常通过网络流传递，如传递到另一个应用程序。或者它可以交给 XSLT 处理器，该处理器将 XML 变换成其它形式。这两种情况下，String 或 File 都不能完全解决问题。实际上，应该选取一个较安全的路由，并允许提供用于写入的 OutputStream。这个流可以封装 FileOutputStream，以便写入本地文件、网络连接或者到另一个程序的管道（如刚提到的 XSLT 处理器）。确定了这个自变量后，才可以考虑 Marshaller 类的入口点。</p>
<p>清单 1. 静态入口点<code> /**<br />
* &lt;p&gt;<br />
* This method is the public entry point for marshalling an object into<br />
* an XML instance document.<br />
* &lt;/p&gt;<br />
*<br />
* @param obj &lt;code&gt;Object&lt;/code&gt; to convert to XML.<br />
* @param out &lt;code&gt;OutputStream&lt;/code&gt; to write XML to.<br />
* @throws &lt;code&gt;IOException&lt;/code&gt; when errors in output occur.<br />
*/<br />
public static void marshall(Object obj, OutputStream out) throws IOException {<br />
Marshaller marshaller = new Marshaller();<br />
marshaller.writeXMLRepresentation(obj, out);<br />
}</code></p>
<p>看上去很简单，是吗？很好。除了文章中的这个和其它代码片段，还可以 下载完整的 Marshaller 类 ，并 查看 HTML 格式的类 。</p>
<p>一旦内部创建了 Marshaller类的实例，提供给静态方法的变量就传递到同一方法的动态版本。因为我已经让所提供的流写入结果，所以不需要返回值。建造了前门之后，就该研究房子的其余部分了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:56:27</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e6%a1%a3/" title="文档">文档</a>, <a href="https://www.iamivan.net/tag/%e5%ae%9e%e4%be%8b/" title="实例">实例</a>, <a href="https://www.iamivan.net/tag/%e9%9d%99%e6%80%81/" title="静态">静态</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/xml/" title="xml">xml</a>, <a href="https://www.iamivan.net/tag/%e6%ba%90%e4%bb%a3%e7%a0%81%e6%89%93%e5%8c%85/" title="源代码打包">源代码打包</a>, <a href="https://www.iamivan.net/tag/xml%e9%9d%99%e6%80%81%e8%b5%84%e6%ba%90/" title="XML静态资源">XML静态资源</a>, <a href="https://www.iamivan.net/tag/%e9%9d%99%e6%80%81%e4%bb%a3%e7%a0%81%e6%a3%80%e6%9f%a5/" title="静态代码检查">静态代码检查</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e6%a1%a3%e8%a7%a3%e5%8c%85/" title="文档解包">文档解包</a>, <a href="https://www.iamivan.net/tag/java%e6%89%93%e5%8c%85/" title="java打包">java打包</a>, <a href="https://www.iamivan.net/tag/%e6%89%93%e5%8c%85%e7%b1%bb/" title="打包类">打包类</a>, <a href="https://www.iamivan.net/tag/java%e9%9d%99%e6%80%81%e6%a3%80%e6%9f%a5/" title="java静态检查">java静态检查</a>, <a href="https://www.iamivan.net/tag/java%e5%ba%94%e7%94%a8%e6%89%93%e5%8c%85/" title="Java应用打包">Java应用打包</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>从XML到Java代码的数据绑定之四 从无用的字符到有用的代码段的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6kOWp.html" rel="bookmark">XML到Java代码的数据绑定之对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|对象|数据 在这个由四部分组成的系列文章的第一部分,我们将弄清什么是数据绑定,与在 Java 应用程序中处理 XML 数据的其它方法相比它有什么优势,以及如何开始使用它.这一部分将考查为什么使用数据绑定,以及如何为各种约束建立模型,使 XML 文档能转换成 Java 对象.同时还涵盖用于生成数据绑定类的输入和输出. 您希望在您的 Java 应用程序中使用 XML 吗?那么好,同成千上万的其他人一起上这条船吧.当您深入了解 XML 以后,也许您会发现 DOM 和 SAX API(请参阅参考			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LpdxjNp.html" rel="bookmark">从XML到Java代码的数据绑定之对象【来自JAVA家】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|对象|数据 在这个由四部分组成的系列文章的第一部分,我们将弄清什么是数据绑定,与在 Java 应用程序中处理 XML 数据的其它方法相比它有什么优势,以及如何开始使用它.这一部分将考查为什么使用数据绑定,以及如何为各种约束建立模型,使 XML 文档能转换成 Java 对象.同时还涵盖用于生成数据绑定类的输入和输出. 您希望在您的 Java 应用程序中使用 XML 吗?那么好,同成千上万的其他人一起上这条船吧.当您深入了解 XML 以后,也许您会发现 DOM 和 SAX API(请参阅参考			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6dZoz.html" rel="bookmark">从XML到Java代码的数据绑定之对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|对象|数据 在这个由四部分组成的系列文章的第一部分,我们将弄清什么是数据绑定,与在 Java 应用程序中处理 XML 数据的其它方法相比它有什么优势,以及如何开始使用它.这一部分将考查为什么使用数据绑定,以及如何为各种约束建立模型,使 XML 文档能转换成 Java 对象.同时还涵盖用于生成数据绑定类的输入和输出. 您希望在您的 Java 应用程序中使用 XML 吗?那么好,同成千上万的其他人一起上这条船吧.当您深入了解 XML 以后,也许您会发现 DOM 和 SAX API(请参阅参考			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOj8ZM.html" rel="bookmark">从XML到Java代码的数据绑定之二 从XML数据创建类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据绑定系列的第二篇是如何从 XML 数据限制中生成一个 Java 语言. 本文通过完整的代码展现了如何生成类和代码,并提供了如何定制您自己版本的建议. 还没有看过第一篇吗?第一篇, &quot;对象,无处不在的对象&quot;, 解释了数据绑定是如何将 XML 和 Java 语言对象互为转换.它比较了数据绑定和其它在 Java 程序中处理 XML 的方法, 并介绍了一个 XML 配置文档示例.第一部分也介绍了使用 XML Schema 来约束数据. 在深入 Java 程序和 XML 代码之前,先快速回顾			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2vGvM.html" rel="bookmark">XML到Java代码的数据绑定之对象&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在这个由四部分组成的系列文章的第一部分,我们将弄清什么是数据绑定,与在 Java 应用程序中处理 XML 数据的其它方法相比它有什么优势,以及如何开始使用它.这一部分将考查为什么使用数据绑定,以及如何为各种约束建立模型,使 XML 文档能转换成 Java 对象.同时还涵盖用于生成数据绑定类的输入和输出. 您希望在您的 Java 应用程序中使用 XML 吗?那么好,同成千上万的其他人一起上这条船吧.当您深入了解 XML 以后,也许您会发现 DOM 和 SAX API(请参阅参考资料)不过是唬人的东			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDw8Op.html" rel="bookmark">Java 中的 XML：使用 Castor 进行数据绑定</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|数据 对于主要关心文档的数据内容的应用程序来说,Java 的 XML 数据绑定是 XML 文档模型的强大替代方案.在本文中,企业 Java 专家 Dennis Sosnoski 介绍了数据绑定并讨论了什么使它如此吸引人.然后他向读者展示了如何使用 Java 数据绑定的开放源代码 Castor 框架处理日益复杂的文档.如果您的应用程序关心 XML 的数据更甚于关心 XML 文档本身,您可能希望找出这个处理 Java 中 XML 的容易而又高效的方法.大多数处理应用程序中 XML 文档的方法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qbagwmp.html" rel="bookmark">XML 和 Java 技术&colon; 数据绑定的多种用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|数据 除将 XML 用作一种简单数据格式之外,数据绑定是 XML 最流行的用法之一.即使刚刚入门的程序员也能在一种原生编程语言中使用 XML,并且在大多数情况下完全不需要任何的 XML 专门知识.本文并不是介绍解决方案,取而代之,Brett 介绍了一些讨论主题,鼓励您思考如何使用 XML 和数据绑定.欢迎在 XML 和 Java 技术讨论论坛上与别人一起分享您的想法. XML 用于业务而非技术 随着 XML 的日趋盛行,人们也越来越注重可用性.换句话说,程序员和管理者并不希望把 XML			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MY045b.html" rel="bookmark">Java 中的 XML：Java 文档模型的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml 在本系列的第一篇文章中,我研究了一些用 Java 编写的主要的 XML 文档模型的性能.但是,在开始选择这种类型的技术时,性能只是问题的一部分.使用方便至少是同样重要的,并且它已是一个主要理由,来支持使用 Java 特定的模型,而不是与语言无关的 DOM . 为切实了解哪个模型真正的作用,您需要知道它们在可用性程度上是如何排名的.本文中,我将尝试进行这个工作,从样本代码开始,来演示如何在每个模型中编码公共类型的操作.并对结果进行总结来结束本文,而且提出了促使一种表示比另一种更容易使用的一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzD30Bp.html" rel="bookmark">XML 和 Java：一个强大的组合</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml XML当它在1996年11月首次由WWW小组( W3C)提出时就是一个能够被很好接受的规范.现在,它与Java从本质上的结合--即把Java程序中的与XML相关的代码部分和对Java语义(动作)编码的部分转换成XML的标记,承诺能够向企业或更高层提供更简单和更具创造力的应用计算.Larry Cable 和 Mark Reinhold 是Sun公司的两名老资格的工程师,他们在最近召开的JavaOne开发者大会的&quot;Java平台上的XML&quot;技术会议部分发言,根据他们的发言,关注这种技			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBYEdz.html" rel="bookmark" class="title">HTML初学者教程-表单</a>
					<div>
						初学|教程 本站原创内容,转载请注明出处网页教学网. 使用表单可以实现把页面的传送数据,当用户在页面内填写好了信息之后可以单击提交按钮来实现数据的发送,当我们想和用户交互时可以使用表单来实现.比如本站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp50rDM.html" rel="bookmark" class="title">Photoshop调色教程：调出外景婚片梦幻的青蓝色</a>
					<div>
						本教程介绍背景色较为单一的婚片快速调色方法.大致过程:首先用色相/饱和度工具快速把背景色转为想要的色调,然后再把背景部分柔化及梦幻处理.人物部分也需要做简单的润色处理.后期再用滤镜渲染一些烟雾等即可. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmw5jb.html" rel="bookmark" class="title">LAMPJT最适用的PHP开发系统详细配置</a>
					<div>
						linux fed core 4安装说明 一般只要按着光盘的安装顺序进行操作即可,如进行个性化的配置安装,可以参考本站的其他相关文档 mysql安装说明 本说明采用mysql4.0.14 shell& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLoGab.html" rel="bookmark" class="title">《深度探索C&plus;&plus;对象模型》读书笔记（1）</a>
					<div>
						在C++中,有两种class data members:static和nonstatic,以及三种class member functions: static.nonstatic和virtual.已知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2nN5M.html" rel="bookmark" class="title">交换机中网络环路常见问题详解</a>
					<div>
						    以太网中的交换机之间存在不恰当的端口相连会造成网络环路,如果相关的交换机没有打开STP功能,这种环路会引发数据包的无休止重复转发,形成广播风暴,从而造成网络故障. 一天,我们在校园网的网络运行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLkreb.html" rel="bookmark" class="title">在Windows 7上卸载IE10浏览器的简单方法</a>
					<div>
						微软发布为Win7发布了IE10预览版,不少媒体测评发现IE10的确比之前的IE9从速度和性能呢等方面提升不少,不过毕竟是预览版,可能从操作习惯和稳定性上还是有问题的,所以就遇到了卸载IE10的问题, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOam8qM.html" rel="bookmark" class="title">linuxrpm卸载，简单说明</a>
					<div>
						  平时linux卸载文件总是遇到卸载不干净,各种依赖什么的,今天又是搞这玩意,就记录下一个比较常规的方法. 一.查询包括某关键字的软件(这里以卸载openoffice为例) 查询包括office的软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72ne4p.html" rel="bookmark" class="title">win7系统无线网络连接设置需注意哪些事项</a>
					<div>
						  在Windows7之中如果要设置无线网络连接设置,其实是一件非常人性化和简单的事情,如果各位对于无线网络连接设置有些陌生的话,今天就为各位带来关于Windows7的无线网络连接设置的注意事项,让各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG8grp.html" rel="bookmark" class="title">基于xmpp openfire smack开发之Android客户端开发&lbrack;3&rsqb;</a>
					<div>
						在上两篇文章中,我们依次介绍openfire部署以及smack常用API的使用,这一节中我们着力介绍如何基于asmack开发一个Android的客户端,本篇的重点在实践,讲解和原理环节,大家可以参考前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2m1Ab.html" rel="bookmark" class="title">【Python之旅】第五篇（二）：Python Socket单线程&plus;阻塞模式</a>
					<div>
						 前面第五篇(一)中的一个Socket例子其实就是单线程的,即Server端一次只能接受来自一个Client端的连接,为了更好的说明socket单线程和阻塞模式,下面对前面的例子做修改. 1.单线程+ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NEaDz.html" rel="bookmark" class="title">悬崖边上的舞者，记7&period;2生产数据库灾难事件</a>
					<div>
						作者:张子良 版权所有,转载请注明出处 引子:出事了 7月2日是一个难得的大晴天,一段时间以来桂林一直在下雨,一直下,害的我减肥的计划一再的泡汤,因为下雨每天早上的跑步变成了观雨.和往常一样,准时来到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW8Zmp.html" rel="bookmark" class="title">《JAVA8开发指南》为什么你需要关注 JAVA8</a>
					<div>
						本章包含 代码的可读性 多核 JAVA8特性的快速指南 JAVA8:为什么你需要关注? JAVA已经更新了!在 2014 年 3 月,JAVA发布了新版本-JAVA8,JAVA8 引入的一些新特性可能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32GD0z.html" rel="bookmark" class="title">actionbar-ActionBarCompat显示所有动作</a>
					<div>
						问题描述 ActionBarCompat显示所有动作 使用AppCompat库中的ActionBar.每个添加的动作都在溢出菜单中显示出来.我知道略过了一些东西,代码: &lt;menu xmlns: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0aD4M.html" rel="bookmark" class="title">webservice找不到文件</a>
					<div>
						问题描述 Stringresource=&quot;mybatis-config.xml&quot;;Readerreader;try{reader=Resources.getResourceAsRe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba71GNp.html" rel="bookmark" class="title">谈谈免费空间 为什么有人提供免费空间</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 免费空间.免费域名.免费邮箱.免费网盘.免费相册,这些耳熟能详的名词,相信大家都不陌生.而且可以说,以上提到的这些免费资源,所有站长都使用过和经历过.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXj09b.html" rel="bookmark" class="title">信息化DIY成潮 管理软件迷你化和工具化</a>
					<div>
						问题描述 信息技术和网络技术的发展加速了企业信息化建设的步伐,越来越多的企业依托信息化建设来加强内控,实现自己的业务管理.信息化建设让企业由原来高投入.高消耗.低效率转变成了现在的高效率.高收益.低投 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjjvWM.html" rel="bookmark" class="title">云栖大会广东峰会15日开幕新制造成焦点</a>
					<div>
						本文讲的是云栖大会广东峰会15日开幕新制造成焦点[IT168 云计算]12月15日,云栖大会·广东峰会将于惠州举行,大会今年10月在杭州举行时吸引了超过4万人参会,成为全球规模最大的科技盛会之一.大会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgwg5EM.html" rel="bookmark" class="title">返回2个文本数组的方法如何定义？</a>
					<div>
						问题描述 求助下各位,传入2个文本参数,返回2组不同的文本数组,其中第二组文本数组有时是空的,这个方法格式该如何写?谢谢! 解决方案 解决方案二:....直接写个类...返回这个类的对象...解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKj25M.html" rel="bookmark" class="title">烈士公园5米高巨型花灯最吸引眼球</a>
					<div>
						昨日(6日)是农历正月十五,一年一度的元宵佳节.虽然天空飘着蒙蒙细雨,但是长沙市民赏灯兴致不减. 烈士公园5米高巨型花灯最吸引眼球 在长沙烈士公园,花灯.创意灯摆设两旁,天空不时闪过烟火,市民喜笑颜开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkLLZz.html" rel="bookmark" class="title">js中浮点型运算BUG的解决方法说明&lowbar;javascript技巧</a>
					<div>
						曾经项目用到过的,之前在网上找到此代码,但在特定条件下除法和加法运算依然会出现BUG个人对此稍作优化 复制代码 代码如下: //除法函数,用来得到精确的除法结果//说明:javascript的除法结果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jZg4p.html" rel="bookmark" class="title">Netbeans自带的服务器目录安装在哪里？</a>
					<div>
						问题描述 遇到了JSP标准标记库不能用,搜索了一下,说是:1.把jstl.jar,standart.jar拷到tomcat的common/lib下.2.在web.xml中加上&lt;taglib&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOW3YRz.html" rel="bookmark" class="title">看着一大波好事者抢在19号之前发 路由器</a>
					<div>
						虽然我见过很多小米的朋友都承认外界对他们&quot;过渡营销&quot;的评价,但小米确实营销有招,看着一大波好事者抢在19号之前发 路由器 ,小米索性拿出几台真机给大家玩,一下子把注意力又拉了回来. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPW45p.html" rel="bookmark" class="title">创始人首要任务是选择创业方向，要判断这个盘子能做多大</a>
					<div>
						1.创始人首要任务是选择创业方向,要判断这个盘子能做多大. 2.对创业者来说,选择一个完全陌生的行业,并不是想象中那么可怕. 3.从创业机会的角度来看,移动互联网要比PC端大得多得多.要想再创造一个类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4YrZNb.html" rel="bookmark" class="title">DevExpress ASP&period;NET 使用经验谈（4）-CriteriaOperator的使用</a>
					<div>
						原文:DevExpress ASP.NET 使用经验谈(4)-CriteriaOperator的使用 上一节中,我们已经介绍了,使用CriteriaOperator表达式,获取对象数据. Criter ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmoo6p.html" rel="bookmark" class="title">沃尔玛拒绝苹果支付 将推移动银行GoBank</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   域名城(domain.cn)10月20日消息,&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YgLyb.html" rel="bookmark" class="title">Google的当日送达服务叫Google Shopping Express</a>
					<div>
						我们都知道Amazon的当日送达服务Amazon Fresh已经发展了5年,覆盖了西雅图,旧金山,以及南加州这三个地区.不过Amazon并非当日送达的唯一玩家,Google Shopping今天宣布, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQaYwGb.html" rel="bookmark" class="title">請問要如何使用累加</a>
					<div>
						问题描述 var a = 3;var b = 4;a*ba*b*ba*b*b*ba*b*b*b*b請問a*b要怎麼寫成迴圈的形式for (i = 1; i &lt;= 4; i++){//想不出來}  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEQ246b.html" rel="bookmark" class="title">《jQuery与JavaScript入门经典》&mdash;&mdash;1&period;4　问与答</a>
					<div>
						1.4 问与答 问:客户端脚本和服务器端脚本哪个更好?答:这完全取决于您要完成什么任务.有些人认为只能采用这两种方式之一,实际上结合使用它们的方案是最佳的.一条不错的规则是,如果交互主要基于用户操作, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR7OL8p.html" rel="bookmark" class="title">吐槽实践学习中的抄袭与搭车</a>
					<div>
						写&lt;逆袭大学&gt;至学习中的实践如何开展,忍不住吐槽,这样写: 每上一门课程,老师备课.讲课.布置作业.检查作业,学生预习.听课.做作业.复习,这是一个固定的套路.在大学中,每个专业都会有一系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAQRgZM.html" rel="bookmark" class="title">String的equals</a>
					<div>
						问题描述 public static void main(String[] args) {String a=&quot;d&quot;;char b='d';System.out.println(a. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
